Bug 180724 - CVE-2006-0576 Arbitrary code execution via OProfile
CVE-2006-0576 Arbitrary code execution via OProfile
Product: Fedora
Classification: Fedora
Component: oprofile (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: William Cohen
: Security
Depends On:
  Show dependency treegraph
Reported: 2006-02-09 15:56 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-21 22:11:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-02-09 15:56:19 EST
Arbitrary code execution via OProfile

A bug has been discovered in OProfile's opcontrol command.  By setting
PATH to point at certain malicious scripts, it is possible to execute
arbitrary commands as root.

We don't ship opcontrol setuid, but if a user has the ability to run
opcontrol via sudo, this issue can be leveraged.

It should be noted that untrusted users should not be given sudo
access, which seriously mitigates the potential damage this issue can

Comment 1 William Cohen 2006-02-10 10:30:32 EST
There was some discussion on the oprofile mailing list to fix this. The
resulting patch from the upstream oprofile has been backported to the RHEL3
oprofile. Should be in oprofile 0.8.1-22.

Comment 2 William Cohen 2006-02-10 10:33:18 EST
that should be oprofile 0.5.4-23.
Comment 3 Bill Nottingham 2006-09-21 22:11:59 EDT
Closing bugs in MODIFIED state from prior Fedora releases. If this bug persists
in a current Fedora release (such as Fedora Core 5 or later), please reopen and
set the version appropriately.

Note You need to log in before you can comment on or make changes to this bug.